lev.gui

## Class LCheckBox

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - lev.gui.LComponent
      - - lev.gui.LHelpComponent
        - - lev.gui.LUserSetting<java.lang.Boolean>
          - - lev.gui.LCheckBox

- All Implemented Interfaces:
    java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable
  Direct Known Subclasses:
    LCheckBoxConfig.LSpecialCheckBox

      public class LCheckBox
      extends LUserSetting<java.lang.Boolean>

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class lev.gui.LUserSetting

      `LUserSetting.UpdateCaretHandler, LUserSetting.UpdateChangeHandler, LUserSetting.UpdateHandler`

    - ### Nested classes/interfaces inherited from class lev.gui.LHelpComponent

      `LHelpComponent.HelpActionHandler, LHelpComponent.HelpFocusHandler, LHelpComponent.HelpMouseHandler`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `java.awt.Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected javax.swing.JCheckBox` | `cbox`
    `protected java.util.ArrayList<LComponent>` | `underlings`

    - ### Fields inherited from class lev.gui.LUserSetting

      `titleLabel`

    - ### Fields inherited from class lev.gui.LHelpComponent

      `followPos, help, helpPrefix, helpYoffset, save, saveTie, title`

    - ### Fields inherited from class java.awt.Component

      `BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LCheckBox(java.lang.String text, java.awt.Font font, java.awt.Color shade)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addActionListener(java.awt.event.ActionListener l)`
    `void` | `addAsUnderling(LComponent c)`
    `void` | `addChangeListener(javax.swing.event.ChangeListener l)`
    `void` | `addHelpHandler(boolean hoverListener)` Adds a help handler to each GUI component that should trigger the help panel to update.
    `void` | `addMouseListener(java.awt.event.MouseListener l)`
    `void` | `addShadow()`
    `protected void` | `addUpdateHandlers()` Abstract function that should add appropriate update handlers to the appropriate components.
    `void` | `clearHighlight()` Abstract function that should clear any GUI components of their highlighted state.
    `int` | `getCenter()`
    `java.lang.Boolean` | `getValue()`
    `void` | `highlightChanged()` Abstract function that should change some GUI component to symbolize it is highlighted.
    `java.lang.Boolean` | `isSelected()`
    `void` | `removeChangeListener(javax.swing.event.ChangeListener c)`
    `boolean` | `revertTo(java.util.Map<java.lang.Enum,Setting> m)` Reverts the GUI component to to SaveFile instance specified.
    `void` | `setColor(java.awt.Color c)`
    `void` | `setFocusable(boolean focusable)`
    `void` | `setOffset(int offset)`
    `void` | `setSelected(java.lang.Boolean b)`

    - ### Methods inherited from class lev.gui.LUserSetting

      `getName, isTied, tie, tie, update`

    - ### Methods inherited from class lev.gui.LHelpComponent

      `addHelpPrefix, getHelp, hasHelp, isFollowingPosition, linkTo, setFollowPosition, updateHelp`

    - ### Methods inherited from class lev.gui.LComponent

      `Add, centerIn, centerOn, centerOn, getBottom, getRight, putUnder`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addNotify, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getAlignmentX, getAlignmentY, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getInsets, getLayout, getListeners, getMaximumSize, getMinimumSize, getMousePosition, getPreferredSize, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, isValidateRoot, layout, list, list, locate, minimumSize, paint, paintComponents, paramString, preferredSize, print, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, removeNotify, setComponentZOrder, setFocusCycleRoot, setFocusTraversalKeys, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setFont, setLayout, transferFocusDownCycle, update, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, contains, createImage, createImage, createVolatileImage, createVolatileImage, disable, disableEvents, dispatchEvent, enable, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getAccessibleContext, getBackground, getBaseline, getBaselineResizeBehavior, getBounds, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getFontMetrics, getForeground, getGraphics, getGraphicsConfiguration, getHeight, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getSize, getToolkit, getTreeLock, getWidth, getX, getY, gotFocus, handleEvent, hasFocus, hide, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isDoubleBuffered, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isOpaque, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, printAll, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processKeyEvent, processMouseEvent, processMouseMotionEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, repaint, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, reshape, resize, resize, revalidate, setBackground, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setEnabled, setFocusTraversalKeysEnabled, setForeground, setIgnoreRepaint, setLocale, setLocation, setLocation, setMaximumSize, setMinimumSize, setName, setPreferredSize, setSize, setSize, setVisible, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### cbox

          protected javax.swing.JCheckBox cbox

    - #### underlings

          protected java.util.ArrayList<LComponent> underlings

  - ### Constructor Detail

    - #### LCheckBox

          public LCheckBox(java.lang.String text,
                   java.awt.Font font,
                   java.awt.Color shade)

      Parameters:
        `text` -
        `font` -
        `shade` -

  - ### Method Detail

    - #### getCenter

          public int getCenter()

      Overrides:
        `getCenter` in class `LComponent`
      Returns:

    - #### addShadow

          public void addShadow()

    - #### setFocusable

          public void setFocusable(boolean focusable)

      Overrides:
        `setFocusable` in class `java.awt.Component`

    - #### setOffset

          public void setOffset(int offset)

      Parameters:
        `offset` -

    - #### setSelected

          public void setSelected(java.lang.Boolean b)

      Parameters:
        `b` -

    - #### isSelected

          public java.lang.Boolean isSelected()

      Returns:

    - #### revertTo

          public boolean revertTo(java.util.Map<java.lang.Enum,Setting> m)

      Description copied from class: `LUserSetting`
      Reverts the GUI component to to SaveFile instance specified.
      Specified by:
        `revertTo` in class `LUserSetting<java.lang.Boolean>`
      Returns:

    - #### addActionListener

          public void addActionListener(java.awt.event.ActionListener l)

      Parameters:
        `l` -

    - #### addChangeListener

          public void addChangeListener(javax.swing.event.ChangeListener l)

      Parameters:
        `l` -

    - #### addMouseListener

          public void addMouseListener(java.awt.event.MouseListener l)

      Overrides:
        `addMouseListener` in class `java.awt.Component`

    - #### getValue

          public java.lang.Boolean getValue()

      Specified by:
        `getValue` in class `LUserSetting<java.lang.Boolean>`
      Returns:

    - #### addAsUnderling

          public void addAsUnderling(LComponent c)

      Parameters:
        `c` -

    - #### highlightChanged

          public void highlightChanged()

      Description copied from class: `LUserSetting`
      Abstract function that should change some GUI component to symbolize it is highlighted.
      Specified by:
        `highlightChanged` in class `LUserSetting<java.lang.Boolean>`

    - #### clearHighlight

          public void clearHighlight()

      Description copied from class: `LUserSetting`
      Abstract function that should clear any GUI components of their highlighted state.
      Specified by:
        `clearHighlight` in class `LUserSetting<java.lang.Boolean>`

    - #### addHelpHandler

          public void addHelpHandler(boolean hoverListener)

      Description copied from class: `LHelpComponent`
      Adds a help handler to each GUI component that should trigger the help panel to update.
      Specified by:
        `addHelpHandler` in class `LHelpComponent`
      Parameters:
        `hoverListener` -

    - #### addUpdateHandlers

          protected final void addUpdateHandlers()

      Description copied from class: `LUserSetting`
      Abstract function that should add appropriate update handlers to the appropriate components.
      Specified by:
        `addUpdateHandlers` in class `LUserSetting<java.lang.Boolean>`

    - #### removeChangeListener

          public void removeChangeListener(javax.swing.event.ChangeListener c)

      Parameters:
        `c` -

    - #### setColor

          public void setColor(java.awt.Color c)

      Parameters:
        `c` -